Package org.jboss.logmanager.config

# Interface HandlerContainingConfigurable

All Known Subinterfaces:
  `HandlerConfiguration`, `LoggerConfiguration`

public interface HandlerContainingConfigurable
A configurable object which is a container for handlers.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addHandlerName(String name)`
Add a handler name to this logger.
`List<String>`
`getHandlerNames()`
Get the names of the configured handlers.
`boolean`
`removeHandlerName(String name)`
Remove a handler name from this logger.
`void`
`setHandlerNames(String... names)`
Set the names of the configured handlers.
`void`
`setHandlerNames(Collection<String> names)`
Set the names of the configured handlers.

## Method Details

### getHandlerNames

List<String> getHandlerNames()
Get the names of the configured handlers.

Returns:
  the names of the configured handlers

### setHandlerNames

void setHandlerNames(String... names)
Set the names of the configured handlers.

Parameters:
  `names` - the names of the configured handlers

### setHandlerNames

void setHandlerNames(Collection<String> names)
Set the names of the configured handlers.

Parameters:
  `names` - the names of the configured handlers

### addHandlerName

boolean addHandlerName(String name)
Add a handler name to this logger.

Parameters:
  `name` - the handler name
Returns:
  `true` if the name was not already set, `false` if it was

### removeHandlerName

boolean removeHandlerName(String name)
Remove a handler name from this logger.

Parameters:
  `name` - the handler name
Returns:
  `true` if the name was removed, `false` if it was not present